#include<stdio.h>
int main (){

	int n, broj_vrsta, broj_karaktera, broj_praznih, k, i;

	scanf("%d", &n);
	if(n<=0){
		printf("-1\n");
		return 1;
	}

	broj_vrsta=n;
	broj_karaktera=n;
	broj_praznih=0;

	for(k=0; k<broj_vrsta; k++){
		for(i=0; i<broj_praznih; i++)
			printf(" ");
		for(i=1; i<=broj_karaktera; i++){
			if(i==broj_karaktera)
			printf("*");
			else printf("*-");
		}
		printf("\n");
		--broj_karaktera;
		++broj_praznih;
	}



	return 0;
}
